/*
 *  ext2MacPrefix.h
 *  ext2fs
 *
 *  Created by Boudewijn Pelt on 08-May-08.
 *  Copyright 2008 TomTom. All rights reserved.
 *
 */

//  own stuff
#define EXT2_MAC_OS_X 
 
 // irel_ma.c was not included  because of syntax errors!

#define NO_INLINE_FUNCS
#define EXT2_FLAT_INCLUDES 0
#define EXT2_BMOVE_DEBUG 0

#ifdef __BIG_ENDIAN__
#define WORDS_BIGENDIAN 1
#endif

/*
 * If GET_DBLIST is set in the flags field, then we should
 * gather directory block information while we're doing the
 * block move.
 */
#define EXT2_BMOVE_GET_DBLIST 0

#define LOCALEDIR  "$(localedir) " 
#define ROOT_SYSCONFDIR  "$(root_sysconfdir) " 
//#define PACKAGE_NAME  " " 
//#define PACKAGE_TARNAME  " " 
//#define PACKAGE_VERSION  " " 
//#define PACKAGE_STRING  " " 
//#define PACKAGE_BUGREPORT  " " 
//#define STDC_HEADERS 1 
#define HAVE_SYS_TYPES_H 1 
#define HAVE_SYS_STAT_H 1 
//#define HAVE_STDLIB_H 1 
//#define HAVE_STRING_H 1 
//#define HAVE_MEMORY_H 1 
//#define HAVE_STRINGS_H 1 
//#define HAVE_INTTYPES_H 1 
//#define HAVE_STDINT_H 1 
//#define HAVE_FSTAT64 1 
//#define _INTL_REDIRECT_MACROS 1
//#define ENABLE_HTREE 1 
//#define ENABLE_NLS 1 
#define ENABLE_SWAPFS 1 
//#define HAVE_ALLOCA 1 
//#define HAVE_ALLOCA_H 1 
//#define HAVE_ASPRINTF 1 
#define HAVE_CHFLAGS 1 
//#define HAVE_DCGETTEXT 1 
//#define HAVE_DECL__SNPRINTF 0 
//#define HAVE_DECL__SNWPRINTF 0 
//#define HAVE_DECL_FEOF_UNLOCKED 1 
//#define HAVE_DECL_FGETS_UNLOCKED 0 
//#define HAVE_DECL_GETC_UNLOCKED 1 
//#define HAVE_DIRENT_H 1 
//#define HAVE_DLOPEN 1 
#define HAVE_ERRNO_H 1 
//#define HAVE_FCHOWN 1 
//#define HAVE_FWPRINTF 1 
//#define HAVE_GETCWD 1 
//#define HAVE_GETEGID 1 
//#define HAVE_GETEUID 1 
//#define HAVE_GETGID 1 
#define HAVE_GETMNTINFO 1 
//#define HAVE_GETOPT_H 1 
#define HAVE_GETPAGESIZE 1 
//#define HAVE_GETRUSAGE 1 
//#define HAVE_GETTEXT 1 
//#define HAVE_GETUID 1 
//#define HAVE_ICONV 1 
#define HAVE_INTMAX_T 1 
#define HAVE_INTPTR_T 1 
#define HAVE_INTTYPES_H_WITH_UINTMAX 1 
#define HAVE_JRAND48 1 
#define HAVE_LANGINFO_CODESET 1 
#define HAVE_LC_MESSAGES 1 
#define HAVE_LIMITS_H 1 
#define HAVE_LOCALE_H 1 
#define HAVE_LONG_DOUBLE 1 
#define HAVE_LONG_LONG 1 
#define HAVE_MMAP 1 
#define HAVE_MMAP 1 
#define HAVE_MUNMAP 1 
#define HAVE_NET_IF_DL_H 1 
#define HAVE_NETINET_IN_H 1 
#define HAVE_NL_TYPES_H 1 
#define HAVE_OPTRESET 1 
#define HAVE_PATHCONF 1 
#define HAVE_PATHS_H 1 
#define HAVE_POSIX_PRINTF 1 
#define HAVE_PUTENV 1 
#define HAVE_RECLEN_DIRENT 1 
#define HAVE_SA_LEN 1 
#define HAVE_SETENV 1 
#define HAVE_SETJMP_H 1 
#define HAVE_SETLOCALE 1 
#define HAVE_SIGNAL_H 1 
#define HAVE_SNPRINTF 1 
#define HAVE_SRANDOM 1 
#define HAVE_STAT_FLAGS 1 
#define HAVE_STDARG_H 1 
#define HAVE_STDDEF_H 1 
#define HAVE_STDINT_H_WITH_UINTMAX 1 
#define HAVE_STPCPY 1 
#define HAVE_STRCASECMP 1 
#define HAVE_STRCASECMP 1 
#define HAVE_STRDUP 1 
#define HAVE_STRDUP 1 
#define HAVE_STRPTIME 1 
#define HAVE_STRTOUL 1 
#define HAVE_STRTOULL 1 
#define HAVE_SYS_DISK_H 1 
#define HAVE_SYS_IOCTL_H 1 
#define HAVE_SYS_MMAN_H 1 
#define HAVE_SYS_MOUNT_H 1 
#define HAVE_SYS_PARAM_H 1 
#define HAVE_SYS_QUEUE_H 1 
#define HAVE_SYS_RESOURCE_H 1 
#define HAVE_SYS_SELECT_H 1 
#define HAVE_SYS_SOCKET_H 1 
#define HAVE_SYS_SOCKIO_H 1 
#define HAVE_SYS_STAT_H 1 
#define HAVE_SYS_SYSCALL_H 1 
#define HAVE_SYS_TIME_H 1 
#define HAVE_SYS_TYPES_H 1 
#define HAVE_SYS_UN_H 1 
#define HAVE_SYS_WAIT_H 1 
#define HAVE_SYSCONF 1 
#define HAVE_TERMIOS_H 1 
#define HAVE_TSEARCH 1 
#define HAVE_TYPE_SSIZE_T 1 
#define HAVE_UINTMAX_T 1 
#define HAVE_UNISTD_H 1 
#define HAVE_UNISTD_H 1 
#define HAVE_UNISTD_H 1 
#define HAVE_UNISTD_H 1 
#define HAVE_UNSIGNED_LONG_LONG 1 
#define HAVE_UTIME 1 
#define HAVE_UTIME_H 1 
#define HAVE_VALLOC 1 
#define HAVE_VPRINTF 1 
#define HAVE_WCHAR_T 1 
#define HAVE_WCSLEN 1 
#define HAVE_WINT_T 1 
#define ICONV_CONST  
#define INTDIV0_RAISES_SIGFPE 1 
#define PACKAGE  "e2fsprogs " 
#define SIZEOF_INT 4 
#define SIZEOF_LONG 4 
#define SIZEOF_LONG_LONG 8 
#define SIZEOF_SHORT 2 
#define USE_UUIDD 1 
#define VERSION  "0.14.1 " 

