
#include <stdio.h>
#include "image_io.h"

int my_dir_entry_callback(struct ext2_dir_entry *dirent, int offset, int blocksize, char *buf, void *data)
{
    char name[EXT2_NAME_LEN+1];
    
    ext2_dir_entry_2 * dirent2 = (ext2_dir_entry_2 *) dirent;
    
    int bytes = dirent2->name_len;
    if (bytes > EXT2_NAME_LEN)
    {
        bytes = EXT2_NAME_LEN;
    }
    strncpy(name, dirent->name, bytes);
    name[bytes] = 0;
        
    printf("%s\n", name);
    return 0;
}

int main (int argc, char * const argv[]) 
{
	// const char *name = "/Development/sandbox/ext3/ext3_loopback";
	
	if (argc == 2)
	{	
	    const char *arg_name = argv[1];
		static char name[1024];
		strcpy(name, arg_name);
	    printf("Opening filesystem at %s\n", name);
	
        ext2_filsys ext3_fs;
        errcode_t err;
        err = ext2fs_open2(name, 0, EXT2_FLAG_RW | EXT2_FLAG_JOURNAL_DEV_OK, 0, 0, image_io_manager, &ext3_fs);
        
        if (err == 0)
        {
            ext2fs_dir_iterate(ext3_fs, EXT2_ROOT_INO, 0, 0, my_dir_entry_callback, 0);
        
            err = ext2fs_close(ext3_fs);
        }	
	}
    return 0;
}
